Overview | Package | Class | Tree | Deprecated | Index | Help
| © 2003 BEA Systems, Inc.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.bea.p13n.content.document.spi
Class DocumentException

    java.lang.Object
      |
      +--java.lang.Throwable
            |
            +--java.lang.Exception
                  |
                  +--com.bea.p13n.content.document.spi.DocumentException

All Implemented Interfaces:
  Serializable

public class DocumentException
extends Exception

The exception which can be thrown by all SPI level methods.

This can wrap another Throwable.

See Also:
  Serialized Form

Field Summary
`protected Throwable` | `source` Deprecated. The source exception.
`protected String` | `sourceMesg` Deprecated. The source exception message.

Constructor Summary
`DocumentException(String msg)` Deprecated. Constructor.
`DocumentException(String msg, Throwable source)` Deprecated. Constructor.

Method Summary
`Throwable` | `getCausingException()` Deprecated. Get the exception which raised this exception.
`String` | `getMessage()` Deprecated. Override to include the causing exception.
`void` | `printStackTrace()` Deprecated. Override to also print the stack trace of the causing exception.
`void` | `printStackTrace(PrintStream out)` Deprecated. Override to also print the stack trace of the causing exception.
`void` | `printStackTrace(PrintWriter out)` Deprecated. Override to also print the stack trace of the causing exception.

Methods inherited from class java.lang.Throwable
`fillInStackTrace, getCause, getLocalizedMessage, getStackTrace, initCause, setStackTrace, toString`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Field Detail

### source

    protected transient Throwable source

  Deprecated.
  The source exception.

### sourceMesg

    protected String sourceMesg

  Deprecated.
  The source exception message.

Constructor Detail

### DocumentException

    public DocumentException(String msg)

  Deprecated.
  Constructor.

Parameters:
  `msg` - the message.

### DocumentException

    public DocumentException(String msg,
                             Throwable source)

  Deprecated.
  Constructor.

Parameters:
  `msg` - the message.
  `source` - the causing exception.

Method Detail

### getCausingException

    public Throwable getCausingException()

  Deprecated.
  Get the exception which raised this exception.

  Returns:
    the exception (can be null if none).

### getMessage

    public String getMessage()

  Deprecated.
  Override to include the causing exception.

  Overrides:
    `getMessage` in class `Throwable`

### printStackTrace

    public void printStackTrace()

  Deprecated.
  Override to also print the stack trace of the causing exception.

  Overrides:
    `printStackTrace` in class `Throwable`

### printStackTrace

    public void printStackTrace(PrintStream out)

  Deprecated.
  Override to also print the stack trace of the causing exception.

  Overrides:
    `printStackTrace` in class `Throwable`

### printStackTrace

    public void printStackTrace(PrintWriter out)

  Deprecated.
  Override to also print the stack trace of the causing exception.

  Overrides:
    `printStackTrace` in class `Throwable`

Overview | Package | Class | Tree | Deprecated | Index | Help
| © 2003 BEA Systems, Inc.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2003 BEA Systems, Inc. All Rights Reserved